javax.swing.plaf.basic

## Class BasicScrollBarUI.ScrollListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicScrollBarUI.ScrollListener

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  BasicScrollBarUI

    protected class BasicScrollBarUI.ScrollListener
    extends Object
    implements ActionListener

Listener for scrolling events initiated in the `ScrollPane`.

### Constructor Summary

Constructors
Constructor and Description
`BasicScrollBarUI.ScrollListener()`
`BasicScrollBarUI.ScrollListener(int dir, boolean block)`

### Method Summary

Methods
`void` `actionPerformed(ActionEvent e)` Invoked when an action occurs.
`void` `setDirection(int direction)`
`void` `setScrollByBlock(boolean block)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicScrollBarUI.ScrollListener

    public BasicScrollBarUI.ScrollListener()

#### BasicScrollBarUI.ScrollListener

    public BasicScrollBarUI.ScrollListener(int dir,
                                   boolean block)

### Method Detail

#### setDirection

    public void setDirection(int direction)

#### setScrollByBlock

    public void setScrollByBlock(boolean block)

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Description copied from interface: `ActionListener`
Invoked when an action occurs.

Specified by:
  `actionPerformed` in interface `ActionListener`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.